Dev.to
GET/v1/dev-to/communities
1credit
Headers
Get your API keyx-api-keystringheader
API key (`sfk_...`)
Response fields
13
Endpoint-specific response payload.
All public communities.
data communities[] id
integernullable
Numeric community id.
data communities[] name
string
Community name.
data communities[] domain
string
Community domain, e.g. `dev.to`.
data communities[] description
stringnullable
What the community is for.
data communities[] isRoot
booleannullable
Whether this is the root community.
data communities[] logoUrl
stringnullable
Logo URL.
data communities[] coverImageUrl
stringnullable
Cover image URL.
Metadata describing the request and billing outcome.
meta requestId
string
Unique request identifier for tracing this API call.
min 1 chars
meta creditsCharged
integer
Credits charged for this request.
≥ 0
meta version
string
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/dev-to/communities" \
-H "x-api-key: YOUR_API_KEY"Responses
Community list.